#pragma once

class FlagByte
{
	unsigned m_value;
public:
	FlagByte();
	FlagByte(unsigned value);
	FlagByte(const FlagByte& that);
	bool operator [](unsigned index)const;
	FlagReference& operator [](unsigned index)const;
	operator unsigned();
	void display(std::ostream& os)const;
	friend std::ostream& operator<<(std::ostream& os, const FlagByte& rh);
};
